  * **2013-04-24 Version 5.0**:
	    ** The Indexmenu repository has changed, new release is available at [[https://github.com/samuelet/indexmenu|github]] **
            * Reformat of all code to Dokuwiki code style
            * Rewrite all javascript to jQuery instead of old js api (includes improvements from [[tindexmenu]] plugin)
            * Added a new toolbar wizard
            * Used Dokuwikis javascript include mechanism
            * add ''hsort'' for sorting [[config:startpage]] pages to top of listing
            * Rewrite the ajax stuff into action plugin (not theme handling stuff)
            * Change configuration via menu js files to one file.
            * add option ''nomenu''
            * Improved support for [[config:useheading]] option. Page titles are //only shown// when useheading is 'always' or 'navigation'.
            * Added syntax option to add ''skipfile+/regexp/'' and ''skipns+/regexp/''. Using ''+'' add regexp parallel to global config, using ''='' replaces the global config.
            * Adding curid span like DokuWiki performs on internal links.
            * Fixed: When only had indexmenu syntax in sidebar, in js rendered index the backup index wasn't hidden.
            * Fixed: Ajax completion supports Korean characters too.

  * **2009-08-29 Version 4.6**:
            * //New Feature//: Namespace declaration complies with dokuwiki [[:namespaces#creating namespaces|namespaces]]. :!: **Important before upgrading from previuos versions**: according to the new dokuwiki syntax, a simple //main namespace// without relative declaration prefix (i.e: "playground") doesn't refer anymore to the subnamespace in the root namespace but in the **current** namespace. To refer to the root namespace, you need to prepend the ":" declaration to it. :!:
            * //New Feature//: Added the //context// option. It resolves relative requested namespaces starting from the current user location instead of the page containing the indexmenu syntax.
            * //New Feature//: Changed skip_file and skip_index syntax to use dokuwiki id instead of system paths. Thanks to Dmitry Katsubo.
            * //New Feature//: Metatada titles are not rendered when recursively bulding the indexmenu tree. This will speed up the page loading when cache expires, but could not display the heading title for nodes without metadata infos.
            * //New Feature//: Added the nojs button in the edit toolbar and toolbar CSS classes.
            * //New Feature//: The right JS context menu is closed by any document click. Thanks to Urban.
            * //Bug//: Fixed a bug which prevents page caching when it contains only indexmenu syntax.
            * //Bug//: Disable JS indexmenu cookies in preview mode.
            * //Bug//: Fixed an acl issue.
            * //Bug//: Fixed UTF8 toc preview bug.

  * **2009-01-04 Version 4.5**:
            * //Bug//: Fixed a stupid bug with toolbar.

  * **2008-12-02 Version 4.4**:
            * //New Feature//: Added ajax for the nojs index view.
            * //New Feature//: Added navbar support also in nojs mode, but unlike js mode, its page does not use cache.
            * //New Feature//: Added nopg option. Thanks to Sebastian E.
            * //New Feature//: Toc preview displays rendered instructions instead of raw text when toc is empty.
            * //New Feature//: German translation by Fabian Pfannes.
            * //Bug//: Fixed acl bugs that prevents js mode to work correctly.
            * //Bug//: Fixed a bug with [[plugin:indexmenu#only_admins|Only Admins]] option.
            * //Bug//: Fixed a bug that prevents to disable the context menu.
            * //Bug & Features//: id for navbar trees is now random by default + Minor bug fixes and improvements.
            * //Others//: [[http://samuele.netsons.org/dokuwiki/doku.php?id=dokuwiki:plugins:indexmenu#donation|Donation]] button added.

  * **2008-04-12 Version 4.3**:
            * New Feature: Different js [[plugin:indexmenu#the_context_menu|context menus]] for anonymous, authenticated and admin user.
            * Bug: Dokuwiki RC2008-04-11 compatible.
            * Bug: Context menu should now support all userewrite and useslash DW config options.
            * Bug: Fixed msort to work with nsort when in non-js mode.

  * **2008-03-10 Version 4.2**:
            * Bug: Fixed loop with nsort option. Thanks to Thomas Binder.
            * Bug: Do not display empty namespace icon for empty headpages.
            * Bug: Fixed navbar not working with max option and a main namespace different from root.
            * Bug: Context menu "New page here" item creates the right page for headpages.

  * **2008-02-16 Version 4.1**:
            * New Feature: Indexmenu tree behaviour depends on the [[wiki:config#sneaky_index]] option. More info in the [[.:indexmenu#about ACLs]] section. Please read carefully the note about dokuwiki versions that do not support it.
            * New Feature: Fixed some issues with Acls and empty namespaces. More info in the section [[.:indexmenu#about empty namespaces]].
            * New Feature: Added the "Search in this namespace" option in the contextmenu. Thanks to Herman Huitema.
            * Bug: Fixed broken js tree with dokuwiki search engine when node contains an highlighted word.
            * Bugs: Fixed broken toolbar element when the dokuwiki js compact option is on.
            * Bug: Single quote in dokuwiki config [[wiki:config#title]] breaks js tree when [[.:indexmenu#Namespaces title and link|headpage]] option is not configured.
            * Changes: Minor contextmenu styling changes.

  * **2007-10-26 Version 4.0**:
            * New Feature: Added a customizable context menu (right click) for pages/namespaces common actions.	
            * New Feature: Added nsort option in order to sorts namespaces according to tsort/dsort/msort options. 
	    * Bugs: Fixed a xhtml compatibility bug with msort and max option.
	    * Changes: Automatically scroll navbar menu to fit the current page.

  * **2007-08-30 Version 3.9**:
            * New Feature: Added options to sort by title, date and by custom metadata. Infos in the [[.:indexmenu#syntax]] section. Metadata sorting idea was "stolen" from [[.:fullindex]] plugin so thanks to the its author.
            * New Feature: Added the %%{{indexmenu_n>N}}%% syntax to set a custom number used by metadata sorting. Infos in the [[.:indexmenu#syntax]] section.
            * New Feature: Support for custom css styles based on theme. Infos in the [[.:indexmenu#css style]] section. An example is in the thread theme on the indexmenu repository.
            * Changes: Added more options to the indexmenu toolbar in edit mode.
            * Changes: Changed the scrolling tree style and usability. It does not anymore scroll automatically when node gets focus.

  * **2007-07-11 Version 3.8**:
            * Bug: Solved bugs when using url rewriting.
            * Bug: Solved a bug in the css width property of toc preview div.

  * **2007-07-07 Version 3.7**:
            * Bug: Navbar did not work in ie6/7 with max option on.
	    * Bug: The js tree was wrong with headpages off.

  * **2007-07-05 Version 3.6**:
            * New Feature: Added max option to load nodes from ajax. This will significantly speed up the index in sites with an high amount of pages.
	    * Changes: Old max option renamed to maxjs.

  * **2007-06-10 Version 3.5**:
            * Bug: tsort option did not sort namespaces.

  * **2007-06-08 Version 3.4**:
	    * New Feature: Added option "tsort" to sort nodes by title.
	    * Security Fix: Fixed ajax security with toc preview.

  * **2007-06-04 Version 3.3**:
            * :!: You could need to purge browser cache after installing it.
	    * New Feature: Added a Toc preview for javascript tree. You can disable it with "notoc" option.
	    * New Feature: The tree is always automatically updated with every requested namespace. You don't need anymore any ~~NOCACHE~~ or &purge options.
	    * New Feature: Acls work correctly with every requested namespace. Be sure to set correctly the [[.:indexmenu#acl cache]] option.
	    * New Feature: Added a global option to replace the dokuwiki index with an indexmenu page.
	    * New Feature: Added the global "Acl cache" option in order to optimize the acl caching mechanism. Please, read info at [[.:indexmenu#acl cache]].
	    * Changes: The size of the scrolling arrow image adjusts itself dynamically.
	    * Changes: Added the uncompressed javascript file for development purpose.
            * Bug: The "Deny indexmenu to no-admins" now works correctly.

  * **2007-05-10 Version 3.2**:
            * Bug: Solved acl bug. It works only for root requested namespace.
	    * Bug: Solved start page bug. Patch by Adrien CLERC, thanks.

  * **2007-03-14 Version 3.1**:
            * :!: You could need to purge browser cache after installing it.
	    * New Feature: Themes deleting option in admin panel.
  	    * Bug-New Feature: No-tree message now works and it supports wiki instructions.
            * Bug: Js tree does not scroll anymore when nodes are visibles.
	    * Bug: Solved a bug with utf8 that prevented hidepages to work with no ASCII characters.
            * Changes: Removed the automatic checking for updates option, because it slows down a bit the pages loading. Now it's manual and it's in admin panel.

  * **2007-01-25 Version 3.0**:
	    * New Feature: Quick initial tree render thanks to the max option.
	    * New Feature: Max option to set how many js tree levels initially render. By default is set to 1 to speed up initial page loading.
	    * New feature: Scrolling js tree when nodes length do not fit its container.
	    * New Feature: Js tree highligts the current page.
	    * New Feature: Added js tooltips.
	    * Change: Removed the theme images directory setting to avoid problems. A symlink do the same work and in a simplest way.
	    * Change: Nojs tree is displayed when javascript is disabled or fails.
	    * Bug: The heading titles option for pages now works only if the global useheading setting is on.
	    * Bug: Pages that does not contain anymore indexmenu instructions are nomore cache purged by indexmenu itself.
	    * Bug: Indexmenu is xhtml compatible.
	    * Others: Code improvements and cleaning. A big thanks to Anja Wagenbret for testing and helping.
	
  * **2006-12-19 Version 2.9**:
	    * New feature: The tree is automatically updated when the specified namespaces is the site root (..).
	      You don't need anymore to use the NOCACHE istruction.
	    * New feature: Indexmenu theme management in admin panel. You can download and share js themes.
	    * New feature: "navbar" option: the tree opens automatically itself at the current page namespace.
              Good as navigation sidebar.
	    * Changed: Disabled custom css style for nojs menu when headpage is off.
	    * Bug: Firefox sometimes corrupt cached dokuwiki javascript.
	      This is an attempt to solve this bug, i hope it works (any feedback is welcome).
	    * Bug: Displayed incorrect titles when headpages are disable.
	
  * **2006-11-09 Version 2.8**:
	    * New Feature: Option to deny the indexmenu use to no-admins.
	    * New Feature: Option to check for indexmenu updates when in admin mode ((need web connection to my site)).
	    * New Feature: Css style for namespaces and headpages links in nojs status as suggested by Mathiasm.
	    * New Feature: Support for png and jpg images formats for the js theme.
	    * Bug: Solved the Call-time pass-by-reference php5 bug.
	    * Changed: Changed some static css property into dynamic.
	
  * **2006-10-23 Version 2.7**:
	    * :!: The default release is Compatible with Dokuwiki RC and it's configurable throught [[plugin:config|Configuration Manager]]. 2006-09-03 Dokuwiki users should read the [[.:indexmenu#How to install]] infos.
	    * Changes: Optional namespaces now works as you expect.
	    * Bug Fixed: Indexmenu button toolbar not showed when page is readonly. Thanks to [[neospams@vodafone.de|Neosky]].
	    * Bug Fixed: Escape of html in titles.
	    * Changes: Better displaying of default theme icons on dark background. Thanks to Paul Grove.
	    * Cosmetic code changes.
  * **2006-10-7 Version 2.6**:
	    * New feature: Optional namespaces option.
	    * New feature: ".:ns" now specifies the "ns" namespace inside current namespace.
	    * Changes: "Cookie" option substituted by "nocookie" option. Now cookies are enabled by default.
	    * New feature: Custom headpages icon and css style in js mode.
	    * New feature: Added a Dtree option that should speed up the tree rendering.
	    * New feature: If scripts are disabled by the browser, standard tree will be showed in place of js one.
	    * New feature: Skip files option. Coded by Jon B (thanks).
	    * New feature: Customizable js theme directory path.
	    * New feature: Indexmenu toolbar in "edit page" mode.

  * **2006-09-10 Version 2.5**:
	    * New feature: More customizable headpage option ((old "true" value is automatically translated into the :inside: option)).
	    * New feature: Js cookie option.
	    * New feature: Js id option. Many thanks to [[frbaron@gmail.com|Franck Baron]].
	    * New feature: Skip index option. Many thanks to [[ilya@lebedev.net|Ilya Lebedev AKA WingedFox]].
	    * Fixed bug: Incorrect ACL namespace. Many thanks to [[raymond@raycom.com|Raymond Elferink]].

  * **2006-07-10 Version 2.4**:
	    * Fixed bug: Strange behaviours when using [[wiki:config#userewrite]] and [[wiki:config#useslash]].
	    * Fixed bug: No namespace title when the "." namespace is requested.
	    * Fixed bug: When title of the page contains %%'%% symbol, indexmenu fails.

  * **2006-06-25 Version 2.3**:
	    * Fixed bug: incorrect namespaces levels. Many thanks to [[http://fredfred.net/skriker|malyfred]].
	    * Fixed bug: empty namespace title if headpage has no title.
	    * Fixed bug: nons doesn't work with js option.
	    * Fixed bug: parameters check.
	    * Fixed bug: start page is not hidden with js option.
	    * Fixed bug: acl denied namespaces are displayed. info [[.:indexmenu#about_acl|here]].

  * **2006-06-13 Version 2.2**:
is for the [[http://www.destroydrop.com/javascripts/tree/|dTree]] menu. Thanks to the [[.:tree]] plugin for the idea.
	    * Custom themes and style for javascript menu.

  * **2006-06-12 Version 2.1**:
	    * Changed the way ''headpage'' option works.
	    * Added ''hide_headpage'' option to hide headpages.

  * **2006-06-12 Version 2.0**:
	    * Added the ''headpage'' global configuration option to customize namespaces title and link. Thanks to [[bru@inbox.ru|Gleb]] for this nice idea.
	    *Javascript level bug fixed.
	    *Changed the base icon in default js theme.

  * **2006-04-05 Version 1.9**:
	    * Added the javascript tree method. Thanks to Geir Landr

  * **2006-04-05 Version 1.4**:
	    * Replaced the ''closed'' argument with a more powerful level number option. I guess it is the last modification on this argument.
	    * Small code fix.

  * **2006-04-04 Version 1.3**:
	    * New ''nons'' option for excluding namespace items from index as suggested by //[[bru@inbox.ru|Gleb]]//.
	    * Some cosmetic changes (changed the argument name for closed index).

  * **2006-04-01 Version 1.2**:
	    * Root namespace index. Thanks to [[cbeetle@physics.fau.edu|Chris Beetle]].

  * **2006-03-29 Version 1.1**:
	    * Recursive tree index of all pages and namespaces beneath the specified namespace.
	    * Lexical option for disabling the tree index and only showing the first level.

  * **2006-03-24 Version 1.0**:
	    * Released.
	    * Fixed bug in namespaces title visualization.
